"use strict";
exports.__esModule = true;
exports.Wrapper = exports.Ellipsis = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var styled_1 = tslib_1.__importDefault(require("@emotion/styled"));
var antd_1 = require("antd");
var Ellipsis = function (_a) {
    var children = _a.children, _b = _a.maxLines, maxLines = _b === void 0 ? 2 : _b, _c = _a.style, style = _c === void 0 ? {} : _c, _d = _a.className, className = _d === void 0 ? '' : _d, tooltip = _a.tooltip, _e = _a.tooltipPlacement, tooltipPlacement = _e === void 0 ? 'topLeft' : _e, tooltipInnerStyle = _a.tooltipInnerStyle;
    return (react_1["default"].createElement(antd_1.Tooltip, { title: tooltip, placement: tooltipPlacement, overlayInnerStyle: tslib_1.__assign({}, tooltipInnerStyle) },
        react_1["default"].createElement(exports.Wrapper, { className: className, maxLines: maxLines, style: style }, children)));
};
exports.Ellipsis = Ellipsis;
exports.Wrapper = styled_1["default"].p(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  display: -moz-box;\n  display: -webkit-box;\n  line-clamp: ", ";\n  -webkit-line-clamp: ", ";\n  white-space: pre-wrap;\n  word-break: break-word;\n  text-overflow: ellipsis;\n  -webkit-box-orient: vertical;\n  overflow: hidden;\n"], ["\n  display: -moz-box;\n  display: -webkit-box;\n  line-clamp: ", ";\n  -webkit-line-clamp: ", ";\n  white-space: pre-wrap;\n  word-break: break-word;\n  text-overflow: ellipsis;\n  -webkit-box-orient: vertical;\n  overflow: hidden;\n"])), function (props) { return props.maxLines; }, function (props) { return props.maxLines; });
var templateObject_1;
//# sourceMappingURL=Ellipsis.js.map